Ads · Product Catalogs
Creates a product feed. Works with Meta Ads.
POST
https://api.pozy.ai/v1/ads/catalogs/{catalogId}/feedsFacebook and InstagramcreateAdCatalogFeed
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
catalogIdrequired | string |
Request body
application/json, required
accountIdstringrequiredcatalogAccountIdstringnamestringrequiredUp to 100 characters.
scheduleobjectintervalstringrequiredOne of
HOURLY,DAILY,WEEKLY.urlstring (URL)requiredhourinteger0 to 23.
dayOfWeekstringOne of
SUNDAY,MONDAY,TUESDAY,WEDNESDAY,THURSDAY,FRIDAY,SATURDAY.
Example
curl -X POST "https://api.pozy.ai/v1/ads/catalogs/6f2f2ffcf4ace3659342c4c2/feeds" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "696e0b682d0a31188e7a2ba9",
"name": "Acme"
}'const res = await fetch("https://api.pozy.ai/v1/ads/catalogs/6f2f2ffcf4ace3659342c4c2/feeds", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
accountId: "696e0b682d0a31188e7a2ba9",
name: "Acme"
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/ads/catalogs/6f2f2ffcf4ace3659342c4c2/feeds",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"accountId": "696e0b682d0a31188e7a2ba9",
"name": "Acme",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
201 on success
feedobjectidstringnamestringproductCountintegerscheduleobjectCan be null.
4 child fields
intervalstringurlstringhourintegerCan be null.
dayOfWeekstringCan be null.
createdTimestringCan be null.
latestUploadobjectOne of:
Meta Feed Upload (8 fields)
idstringurlstringCan be null.
startTimestringCan be null.
endTimestringCan be null.
errorCountintegerwarningCountintegeritemsDetectedintegeritemsDeletedinteger
201 response
{
"feed": {
"id": "6bfebd43ddc270f6d2c56fc5",
"name": "Acme",
"productCount": 42,
"schedule": {
"interval": "string",
"url": "https://pozy.ai/media/example-1.jpg",
"hour": 1,
"dayOfWeek": "string"
},
"createdTime": "string",
"latestUpload": {
"id": "6bfebd43ddc270f6d2c56fc5",
"url": "https://pozy.ai/media/example-1.jpg",
"startTime": "string",
"endTime": "string",
"errorCount": 42,
"warningCount": 42,
"itemsDetected": 1,
"itemsDeleted": 1
}
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Product Catalogs
GETList Meta product catalogsPOSTCreate a Meta product catalogGETGet a product catalogDELDelete a product catalogGETList a catalog's productsPOSTAdd a product to a catalogPOSTCreate, update or delete products in bulkGETGet a bulk request's statusGETGet a productPUTUpdate a productDELDelete a productGETList a catalog's product feedsGETList a feed's uploadsPOSTFetch a feed file nowGETList a catalog's product setsPOSTCreate a product setPUTUpdate a product setDELDelete a product set